import os
import setuptools

with open(os.path.dirname(os.path.abspath(__file__)) + '/README.md', 'r') as f:
    long_description = f.read()

setuptools.setup(
    name="omfit_efit",
    version="2020.10.19.12.24",
    author="OMFIT developers",
    author_email="meneghini@fusion.gat.com",
    description="omfit_efit",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://omfit.io",
    classifiers=[
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
    install_requires=['matplotlib>=3.1,!=3.2.1,!=3.2.2',
                      'numpy>=1.12',
                      'uncertainties>=3',
                      'omfit_hdf5==2020.10.19.12.24',
                      'omfit_commonclasses==2020.10.19.12.24'],
    packages=['omfit_efit'],
    package_data={'omfit_efit': ['*.py']}
)